cgGetString(3)

NAME
cgGetString - gets a special string

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetString( CGenum enum );

PARAMETERS

enum
    An enumerant describing the string to be returned.

RETURN VALUES
Returns the string associtated with enum.

Returns NULL in the event of an error.

DESCRIPTION
cgGetString returns an informative string depending on the enum. Currently there is only one valid enumerant that may be passed in.

CG_VERSION
    Returns the version string of the Cg runtime and compiler.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_ENUMERANT_ERROR is generated if enum is not CG_VERSION.

HISTORY
cgGetString was introduced in Cg 1.2.

SEE ALSO
Cg